import cv2
import os
import numpy as np
import glob

filepathIR32 = sorted(glob.glob(os.path.join('./ThermalImages', '*.npy')))
outDir = './ThermalPngs/'

if not os.path.exists(outDir):
	os.makedirs(outDir)



for file in filepathIR32:


	imIR32 = np.load(file)
	imgMin = np.min(imIR32)
	imgMax = np.max(imIR32)
	dist = imgMax - imgMin
	imIR32 = (imIR32 - imgMin) / dist * 255.0
	imIR = cv2.cvtColor(imIR32.astype('uint8'), cv2.COLOR_GRAY2RGB)

	IRwidth = int(imIR.shape[1]/imIR.shape[0] * 256)
	imIR = cv2.resize(imIR, (IRwidth, 256), interpolation = cv2.INTER_CUBIC)
	imIR = imIR[0:256, 0:256]

	name_save = file.split('/')[-1].split('.')[0]
	cv2.imwrite(os.path.join(outDir, name_save + '.png'), imIR)